#!/bin/bash

# Template for combining multiple case animations together.  Note that this
# template is built for 3 cases or directories.  If you have more or fewer,
# you will need to adjust some portions below.

# Fill in directory variables, d1=, d2=, d3=, etc.:

a1="particles_temperature"
a2="cells_h2o.mc"
a3="particles_mf-C"

for a in $a1 $a2 $a3; do
  BATCHMOVIE.sh $a
done

MULTIFRAME.tcl h -sub combined -name combined -max ${a1}/${a1} ${a2}/${a2} ${a3}/${a3}

jpg2mpg combined/combined*jpg -o combined.mpg
