#!/bin/sh

BATCHMOVIE.sh Gmv cells_volfrac.attr
BATCHMOVIE.sh Gmv f-Temp.attr
BATCHMOVIE.sh Gmv mc_ch4.attr
BATCHMOVIE.sh Gmv mc_co2.attr
BATCHMOVIE.sh Gmv mc_co.attr
BATCHMOVIE.sh Gmv mc_h2.attr
BATCHMOVIE.sh Gmv mc_h2o.attr
BATCHMOVIE.sh Gmv mc_n2.attr
BATCHMOVIE.sh Gmv mc_o2.attr
BATCHMOVIE.sh Gmv volfrac.attr

MULTIFRAME.tcl h volfrac/v cells_volfrac/c f-Temp/f mc_ch4/m mc_co2/m
for f in Montage*; do mogrify -quality 100 -resize x500 $f; done
rename Montage top_row Montage*
#rm temp*jpg

MULTIFRAME.tcl h mc_co/m mc_h2/m mc_h2o/m mc_n2/m mc_o2/m
for f in Montage*; do mogrify -quality 100 -resize x500 $f; done
rename Montage bottom_row Montage*
#rm temp*jpg

MULTIFRAME.tcl v top_row bottom_row
rename Montage montage Montage*
#rm temp*jpg

#mencoder mf://montage*jpg -oac lavc -ovc lavc -lavcopts vcodec=mjpeg -o montage.mpg
jpg2mpg montage*jpg
mv out.mpg montage.mpg

gmvFile="Gmv.00075"

BATCHMOVIE.sh $gmvFile f-Temp_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile mc_ch4_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile mc_co2_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile mc_co_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile mc_h2_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile mc_h2o_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile mc_n2_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile mc_o2_white_bg.attr -nompg
BATCHMOVIE.sh $gmvFile volfrac_white_bg.attr -nompg

convert +append volfrac_white_bg/volfrac_white_bg${gmvFile}.jpg \
	f-Temp_white_bg/f-Temp_white_bg${gmvFile}.jpg \
	mc_ch4_white_bg/mc_ch4_white_bg${gmvFile}.jpg \
	mc_co_white_bg/mc_co_white_bg${gmvFile}.jpg \
	mc_h2_white_bg/mc_h2_white_bg${gmvFile}.jpg \
	mc_h2o_white_bg/mc_h2o_white_bg${gmvFile}.jpg \
	mc_o2_white_bg/mc_o2_white_bg${gmvFile}.jpg \
combined_image_for_presentation.jpg
